/*
 Hype Adapt Layouts
This is designed to scale the Hype content the full size of a column when an adjacent column's content changes. 
For 100% width columns (ie: in mobile views) it will resize to full width.
NOTE: To work properly, the adjacent column needs to have the same class name as the Hype container ID name.
*/
function adjustDimensionsAdaptiveToParentDivOrPartnerDiv(hypeDocument, element, event) {

    function setHypeDivDim(e){

    const hypeDiv = document.getElementById(hypeDocument.documentId());
    let newHypeDocHeight;
//
    if(window.matchMedia("(min-width: 960px)").matches){
    const hypePartnerColumn = document.querySelector('.' + hypeDocument.documentId());
    const hypePartnerColumnComputedStyle = window.getComputedStyle(hypePartnerColumn, null);

    const hypePartnerColumnComputedHeight = parseInt(hypePartnerColumnComputedStyle.getPropertyValue("height"));
    const hypePartnerColumnComputedPaddingTop = parseInt(hypePartnerColumnComputedStyle.getPropertyValue("padding-top"));
    const hypePartnerColumnComputedPaddingBottom = parseInt(hypePartnerColumnComputedStyle.getPropertyValue("padding-bottom"));
     newHypeDocHeight = (hypePartnerColumnComputedHeight - (hypePartnerColumnComputedPaddingTop + hypePartnerColumnComputedPaddingBottom)) + 'px';

    }else{
    const hypeParentDiv = hypeDiv.parentElement;
    const hypeParentDivComputedStyle = window.getComputedStyle(hypeParentDiv, null);
    const hypeParentDivComputedWidth = parseInt(hypeParentDivComputedStyle.getPropertyValue("width"));
    const hypeParentDivComputedWPaddingLeft = parseInt(hypeParentDivComputedStyle.getPropertyValue("padding-left"));
    const hypeParentDivComputedWPaddingRight = parseInt(hypeParentDivComputedStyle.getPropertyValue("padding-right"));
    const hypeParentDivNettoWidth = hypeParentDivComputedWidth - (hypeParentDivComputedWPaddingLeft + hypeParentDivComputedWPaddingRight);

      const hypeLayoutsOfActiveScene = hypeDocument.layoutsForSceneNamed(hypeDocument.currentSceneName());
      const hypeActiveLayout = hypeDocument.currentLayoutName();
      const hypeActiveLayoutProperties = hypeLayoutsOfActiveScene.find(e => e.name === hypeActiveLayout);
      const hypeLayoutOrigWidth = hypeActiveLayoutProperties.width;
      const hypeLayoutOrigHeight = hypeActiveLayoutProperties.height;
      const proportionalFactor = hypeParentDivNettoWidth/hypeLayoutOrigWidth;
       newHypeDocHeight = (proportionalFactor * hypeLayoutOrigHeight) + "px";
    }

      hypeDiv.style.height =  newHypeDocHeight;

      hypeDocument.relayoutIfNecessary()
    }

   setHypeDivDim();
   window.addEventListener('resize', setHypeDivDim);
   window.addEventListener('load', setHypeDivDim);

   }
 
   if ("HYPE_eventListeners" in window === false) {
     window.HYPE_eventListeners = Array();
   }
 
   window.HYPE_eventListeners.push({
     "type": "HypeDocumentLoad",
     "callback": adjustDimensionsAdaptiveToParentDivOrPartnerDiv
   });